<?php
session_start();
include 'koneksi.php';

// Cek session login admin
if (!isset($_SESSION['id_admin'])) {
    header("Location: index.php");
    exit;
}

$id_admin = $_SESSION['id_admin'];
$data_admin = mysqli_fetch_assoc(mysqli_query($conn, "SELECT * FROM data_admin WHERE id_admin = $id_admin"));

// Ambil jumlah data admin dan member
$jumlah_admin = mysqli_num_rows(mysqli_query($conn, "SELECT * FROM data_admin"));
$jumlah_member = mysqli_num_rows(mysqli_query($conn, "SELECT * FROM data_member"));

// Cek apakah sudah ada data traffic untuk hari ini
$tgl_hari_ini = date('Y-m-d');
$cek_traffic = mysqli_query($conn, "SELECT * FROM traffic_log WHERE tanggal = '$tgl_hari_ini'");
if (mysqli_num_rows($cek_traffic) > 0) {
    mysqli_query($conn, "UPDATE traffic_log SET jumlah = jumlah + 1 WHERE tanggal = '$tgl_hari_ini'");
} else {
    mysqli_query($conn, "INSERT INTO traffic_log (tanggal, jumlah) VALUES ('$tgl_hari_ini', 1)");
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Dashboard Admin</title>
  <link href="adminlte/plugins/fontawesome-free/css/all.min.css" rel="stylesheet">
  <link href="adminlte/dist/css/adminlte.min.css" rel="stylesheet">
  <link href="adminlte/plugins/overlayScrollbars/css/OverlayScrollbars.min.css" rel="stylesheet">

  <!-- Flot Chart -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/flot/0.8.3/jquery.flot.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/flot/0.8.3/jquery.flot.categories.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/flot/0.8.3/jquery.flot.time.min.js"></script>
</head>
<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">

  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="dashboard_admin.php" class="nav-link">Dashboard</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="logout.php" class="nav-link">Logout</a>
      </li>
    </ul>
  </nav>

  <!-- Sidebar -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <a href="dashboard_admin.php" class="brand-link">
      <img src="adminlte/dist/img/AdminLTELogo.png" class="brand-image img-circle elevation-3">
      <span class="brand-text font-weight-light">Admin Panel</span>
    </a>

    <div class="sidebar">
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column">
          <?php if ($data_admin['role'] == 'superadmin'): ?>
            <li class="nav-item">
              <a href="kelola_admin.php" class="nav-link">
                <i class="nav-icon fas fa-user-shield"></i>
                <p>Kelola Admin</p>
              </a>
            </li>
            <li class="nav-item">
              <a href="ganti_password_admin.php" class="nav-link">
                <i class="nav-icon fas fa-key"></i>
                <p>Ganti Password</p>
              </a>
            </li>
            <li class="nav-item">
              <a href="all_data.php" class="nav-link">
                <i class="nav-icon fas fa-users"></i>
                <p>Semua Data Member</p>
              </a>
            </li>
          <?php endif; ?>

          <li class="nav-item">
            <a href="kelola_member.php" class="nav-link">
              <i class="nav-icon fas fa-users"></i>
              <p>Kelola Member</p>
            </a>
          </li>

          <li class="nav-item">
            <a href="logout.php" class="nav-link">
              <i class="nav-icon fas fa-sign-out-alt"></i>
              <p>Logout</p>
            </a>
          </li>
        </ul>
      </nav>
    </div>
  </aside>

  <!-- Content Wrapper -->
  <div class="content-wrapper">
    <!-- Header -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2 align-items-center">
          <div class="col-sm-6">
            <h1 class="m-0">Dashboard Admin</h1>
            <small>Selamat datang, <strong><?= htmlspecialchars($data_admin['nama_lengkap']) ?></strong></small>
          </div>
        </div>
      </div>
    </div>

    <!-- Content -->
    <div class="content">
      <div class="container-fluid">
        <div class="row">

        <?php if ($data_admin['role'] == 'superadmin'): ?>
        <!-- Total Admin -->
        <div class="col-md-6 col-sm-12">
          <div class="small-box bg-info">
            <div class="inner">
              <h3><?= $jumlah_admin ?></h3>
              <p>Total Admin</p>
            </div>
            <div class="icon">
              <i class="fas fa-user-shield"></i>
            </div>
            <a href="kelola_admin.php" class="small-box-footer">Lihat Detail <i class="fas fa-arrow-circle-right"></i></a>
          </div>
        </div>
        <?php endif; ?>
        
          <!-- Total Member -->
          <div class="col-md-6 col-sm-12">
            <div class="small-box bg-success">
              <div class="inner">
                <h3><?= $jumlah_member ?></h3>
                <p>Total Member</p>
              </div>
              <div class="icon">
                <i class="fas fa-users"></i>
              </div>
              <?php if ($data_admin['role'] == 'superadmin'): ?>
                <a href="all_data.php" class="small-box-footer">Lihat Detail <i class="fas fa-arrow-circle-right"></i></a>
              <?php else: ?>
                <a href="kelola_member.php" class="small-box-footer">Lihat Detail <i class="fas fa-arrow-circle-right"></i></a>
              <?php endif; ?>
            </div>
          </div>

        </div>

        <!-- Flot Chart (Hanya Superadmin) -->
        <?php if ($data_admin['role'] == 'superadmin'): ?>
        <div class="row mt-4">
          <!-- Grafik Realtime Total Member -->
          <div class="col-md-6">
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title"><i class="fas fa-chart-line"></i> Grafik Realtime Total Member</h3>
              </div>
              <div class="card-body">
                <div id="flotRealtimeChart" style="height: 300px;"></div>
              </div>
            </div>
          </div>

          <!-- Grafik Berdasarkan Jenis Cheat -->
          <div class="col-md-6">
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title"><i class="fas fa-chart-bar"></i> Grafik Jenis Cheat</h3>
              </div>
              <div class="card-body">
                <div id="flotJenisCheatChart" style="height: 300px;"></div>
              </div>
            </div>
          </div>
        </div>
        
        <!-- Grafik Traffic & Member Harian -->
        <div class="row mt-4">
          <!-- Grafik Traffic -->
          <div class="col-md-6">
            <div class="card card-warning">
              <div class="card-header">
                <h3 class="card-title"><i class="fas fa-chart-area"></i> Grafik Traffic Harian</h3>
              </div>
              <div class="card-body">
                <div id="flotTrafficChart" style="height: 300px;"></div>
              </div>
            </div>
          </div>
        
          <!-- Grafik Member Harian -->
          <div class="col-md-6">
            <div class="card card-danger">
              <div class="card-header">
                <h3 class="card-title"><i class="fas fa-user-plus"></i> Grafik Member Harian</h3>
              </div>
              <div class="card-body">
                <div id="flotMemberHarianChart" style="height: 300px;"></div>
              </div>
            </div>
          </div>
        </div>

        <?php endif; ?>

      </div>
    </div>
  </div>
</div>

<!-- JS -->
<script src="adminlte/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="adminlte/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js"></script>
<script src="adminlte/dist/js/adminlte.min.js"></script>

<!-- Flot Chart Script -->
<?php if ($data_admin['role'] == 'superadmin'): ?>
<script>
$(function () {
  // Realtime total member
  let realtimeData = [];

  const realtimePlot = $.plot("#flotRealtimeChart", [realtimeData], {
    series: { lines: { show: true }, shadowSize: 0 },
    xaxis: { mode: "time", timeformat: "%H:%M:%S", timezone: "browser" },
    yaxis: { min: 0 },
    colors: ["#007bff"],
    grid: { borderWidth: 1, borderColor: "#ccc" }
  });

  function updateRealtimeChart() {
    $.getJSON("get_member_data.php?action=total", function (res) {
      const now = new Date().getTime();
      realtimeData.push([now, res.total]);
      if (realtimeData.length > 20) realtimeData.shift();
      realtimePlot.setData([realtimeData]);
      realtimePlot.setupGrid();
      realtimePlot.draw();
    });
  }

  setInterval(updateRealtimeChart, 2000);
  updateRealtimeChart();

  // Grafik jenis cheat
  function updateJenisCheatChart() {
    $.getJSON("get_member_data.php?action=jenis_cheat", function (res) {
      const chartData = res.map(item => [item.jenis_cheat, item.jumlah]);
      $.plot("#flotJenisCheatChart", [chartData], {
        series: {
          bars: { show: true, barWidth: 0.5, align: "center" }
        },
        xaxis: { mode: "categories", tickLength: 0 },
        colors: ["#28a745"],
        grid: { borderWidth: 1, borderColor: "#ccc" }
      });
    });
  }
  updateJenisCheatChart();
  setInterval(updateJenisCheatChart, 10000);
  
    // Grafik traffic harian
    $.getJSON("get_dashboard_chart_data.php?action=traffic", function (res) {
      $.plot("#flotTrafficChart", [res], {
        series: { lines: { show: true }, points: { show: true } },
        xaxis: { mode: "time", timeformat: "%d %b", timezone: "browser" },
        yaxis: { min: 0 },
        colors: ["#ffc107"],
        grid: { borderWidth: 1, borderColor: "#ccc" }
      });
    });
    
    // Grafik member harian
    $.getJSON("get_dashboard_chart_data.php?action=member_harian", function (res) {
      $.plot("#flotMemberHarianChart", [res], {
        series: { lines: { show: true }, points: { show: true } },
        xaxis: { mode: "time", timeformat: "%d %b", timezone: "browser" },
        yaxis: { min: 0 },
        colors: ["#dc3545"],
        grid: { borderWidth: 1, borderColor: "#ccc" }
      });
    });

});
</script>
<?php endif; ?>
</body>
</html>
