/* Untuk Buat Table */

CREATE TABLE `data_member` (
  `id_member` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(30),
  `jenis_cheat` ENUM('Inject Winrate Pragmatic Play','Inject Winrate PG Soft','Inject Super Wild','Inject RTP Maksimal'),
  `winrate` TINYINT(1) DEFAULT 0,      -- 0 = off, 1 = on
  `jackpot` TINYINT(1) DEFAULT 0,      -- 0 = off, 1 = on
  `jam_jp` TIME DEFAULT NULL,          -- Menyimpan jam jackpot
  `nomor_telepon` VARCHAR(13),
  `created_at` DATETIME DEFAULT CURRENT_TIMESTAMP,
  `last_login` DATETIME,
  `ip_address` VARCHAR(45) AFTER last_login;,
  PRIMARY KEY (`id_member`)
);

CREATE TABLE `data_admin` (
  `id_admin` INT(11) NOT NULL AUTO_INCREMENT,
  `username` VARCHAR(30) NOT NULL,
  `password` VARCHAR(255) NOT NULL, -- Gunakan hashing untuk penyimpanan aman
  `nama_lengkap` VARCHAR(100),
  `role` ENUM('superadmin', 'admin', 'moderator') DEFAULT 'admin',
  `status` TINYINT(1) DEFAULT 1, -- 1 = aktif, 0 = nonaktif
  `last_login` DATETIME DEFAULT NULL,
  PRIMARY KEY (`id_admin`)
);

CREATE TABLE `log_aktivitas_admin` (
  `id_log` INT(11) NOT NULL AUTO_INCREMENT,
  `id_admin` INT(11) NOT NULL,
  `aktivitas` TEXT NOT NULL,
  `waktu` DATETIME DEFAULT CURRENT_TIMESTAMP,
  `ip_address` VARCHAR(45) DEFAULT NULL,
  PRIMARY KEY (`id_log`),
  FOREIGN KEY (`id_admin`) REFERENCES `data_admin`(`id_admin`) ON DELETE CASCADE
);

CREATE TABLE traffic_log (
    id INT AUTO_INCREMENT PRIMARY KEY,
    tanggal DATE NOT NULL,
    jumlah INT NOT NULL DEFAULT 1
);


