<?php
include 'koneksi.php';
session_start();
$pesan = '';
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = mysqli_real_escape_string($conn, trim($_POST['username']));
    $password = $_POST['password'];
    $nama_lengkap = mysqli_real_escape_string($conn, trim($_POST['nama_lengkap']));
    $role = mysqli_real_escape_string($conn, $_POST['role']);

    if (strlen($password) < 6) {
        $pesan = ['error', 'Gagal', 'Password minimal 6 karakter!'];
    } else {
        $cek = mysqli_query($conn, "SELECT * FROM data_admin WHERE username = '$username'");
        if (mysqli_num_rows($cek) > 0) {
            $pesan = ['warning', 'Username Sudah Ada', 'Silakan pilih username lain.'];
        } else {
            $hashed_password = password_hash($password, PASSWORD_BCRYPT);
            $status = 1;
            $query = "INSERT INTO data_admin (username, password, nama_lengkap, role, status)
                      VALUES ('$username', '$hashed_password', '$nama_lengkap', '$role', $status)";
            if (mysqli_query($conn, $query)) {
                $pesan = ['success', 'Berhasil', 'Admin berhasil terdaftar!'];
            } else {
                $pesan = ['error', 'Gagal', 'Gagal menyimpan data!'];
            }
        }
    }
}
?>
<!DOCTYPE html>
<html lang="id">
<head>
  <meta charset="UTF-8">
  <title>Register Admin</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- Font Awesome -->
  <link rel="stylesheet" href="adminlte/plugins/fontawesome-free/css/all.min.css">
  <!-- Bootstrap 4 -->
  <link rel="stylesheet" href="adminlte/plugins/bootstrap/css/bootstrap.min.css">
  <!-- AdminLTE -->
  <link rel="stylesheet" href="adminlte/dist/css/adminlte.min.css">
  <!-- SweetAlert2 CDN -->
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
</head>
<body class="hold-transition register-page">
<div class="register-box">
  <div class="register-logo">
    <b>Admin</b> Register
  </div>

  <div class="card">
    <div class="card-body register-card-body">
      <p class="login-box-msg">Daftar Admin Baru</p>

      <form method="POST" action="">
        <div class="mb-3">
          <label><i class="fas fa-user"></i> Username</label>
          <input type="text" name="username" class="form-control" placeholder="Masukkan username" required>
        </div>

        <div class="mb-3">
          <label><i class="fas fa-lock"></i> Password</label>
          <input type="password" name="password" class="form-control" placeholder="Masukkan password" required>
        </div>

        <div class="mb-3">
          <label><i class="fas fa-id-card"></i> Nama Lengkap</label>
          <input type="text" name="nama_lengkap" class="form-control" placeholder="Masukkan nama lengkap" required>
        </div>

        <div class="mb-3">
          <label><i class="fas fa-user-tag"></i> Role</label>
          <select name="role" class="form-control" required>
            <option value="">-- Pilih Role --</option>
            <option value="admin">Admin</option>
            <option value="superadmin">Superadmin</option>
            <option value="moderator">Moderator</option>
          </select>
        </div>

        <div class="text-right">
          <button type="submit" name="register" class="btn btn-success btn-block">
            <i class="fas fa-user-plus"></i> Daftar
          </button>
        </div>
      </form>

      <p class="mt-3 mb-1 text-center">
        <a href="index.php">Sudah punya akun? Login di sini</a>
      </p>
    </div>
  </div>
</div>

<!-- Scripts -->
<script src="adminlte/plugins/jquery/jquery.min.js"></script>
<script src="adminlte/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="adminlte/dist/js/adminlte.min.js"></script>

<?php if (!empty($pesan)): ?>
<script>
Swal.fire({
    icon: '<?= $pesan[0] ?>',
    title: '<?= $pesan[1] ?>',
    text: '<?= $pesan[2] ?>',
    showConfirmButton: true
}).then(() => {
    <?php if ($pesan[0] === 'success'): ?>
        window.location.href = "index.php";
    <?php endif; ?>
});
</script>
<?php endif; ?>
</body>
</html>
