<?php
session_start();
include 'koneksi.php';

if (!isset($_SESSION['id_admin']) || $_SESSION['role'] != 'superadmin') {
    echo '
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
      document.addEventListener("DOMContentLoaded", function() {
        Swal.fire({
          icon: "error",
          title: "Akses Ditolak!",
          text: "Hanya superadmin yang dapat mengakses halaman ini.",
          confirmButtonText: "Kembali",
          allowOutsideClick: false
        }).then(() => {
          window.location.href = "dashboard_admin.php";
        });
      });
    </script>';
    exit;
}

$where = [];
if (!empty($_GET['cari'])) {
    $cari = mysqli_real_escape_string($conn, $_GET['cari']);
    $where[] = "(username LIKE '%$cari%' OR nama_lengkap LIKE '%$cari%')";
}
if (!empty($_GET['role'])) {
    $role = mysqli_real_escape_string($conn, $_GET['role']);
    $where[] = "role = '$role'";
}
if (isset($_GET['status']) && $_GET['status'] !== '') {
    $status = mysqli_real_escape_string($conn, $_GET['status']);
    $where[] = "status = '$status'";
}

$sql_where = $where ? "WHERE " . implode(" AND ", $where) : "";
$result = mysqli_query($conn, "SELECT * FROM data_admin $sql_where ORDER BY id_admin DESC");
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Kelola Admin</title>
  <link href="adminlte/plugins/fontawesome-free/css/all.min.css" rel="stylesheet">
  <link href="adminlte/dist/css/adminlte.min.css" rel="stylesheet">
  <link href="adminlte/plugins/overlayScrollbars/css/OverlayScrollbars.min.css" rel="stylesheet">
</head>
<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button">
            <i class="fas fa-bars"></i>
          </a>
        </li>
        <li class="nav-item">
          <a href="dashboard_admin.php" class="nav-link">Dashboard</a>
        </li>
        <li class="nav-item">
          <a href="kelola_admin.php" class="nav-link">Kelola Admin</a>
        </li>
      </ul>
    </nav>

    <!-- Sidebar -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
      <a href="dashboard_admin.php" class="brand-link">
        <img src="adminlte/dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3">
        <span class="brand-text font-weight-light">Admin Dashboard</span>
      </a>
      <div class="sidebar">
        <nav class="mt-2">
          <ul class="nav nav-pills nav-sidebar flex-column">
              
              <li class="nav-item">
                <a href="kelola_admin.php" class="nav-link">
                  <i class="nav-icon fas fa-user-shield"></i>
                  <p>Kelola Admin</p>
                </a>
              </li>
              
              <li class="nav-item">
              <a href="ganti_password_admin.php" class="nav-link">
                <i class="nav-icon fas fa-key"></i>
                <p>Ganti Password</p>
              </a>
            </li>
            
            <li class="nav-item">
              <a href="all_data.php" class="nav-link">
                <i class="nav-icon fas fa-users"></i>
                <p>Semua Data Member</p>
              </a>
            </li>
            
            <li class="nav-item">
              <a href="kelola_member.php" class="nav-link">
                <i class="nav-icon fas fa-users"></i>
                <p>Kelola Member</p>
              </a>
            </li>
            
            <li class="nav-item">
              <a href="logout.php" class="nav-link">
                <i class="nav-icon fas fa-sign-out-alt"></i>
                <p>Logout</p>
              </a>
            </li>
            
          </ul>
        </nav>
      </div>
    </aside>

    <!-- Content Wrapper -->
    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <h1 class="m-0">Kelola Admin</h1>
        </div>
      </div>

      <!-- Filter & Table -->
      <div class="content">
        <div class="container-fluid">
          <form method="GET" class="row g-2 mb-3">
            <div class="col-md-3">
              <input type="text" name="cari" class="form-control" placeholder="Cari nama / username" value="<?= $_GET['cari'] ?? '' ?>">
            </div>
            <div class="col-md-3">
              <select name="role" class="form-select">
                <option value="">Semua Role</option>
                <option value="admin" <?= @$_GET['role'] == 'admin' ? 'selected' : '' ?>>Admin</option>
                <option value="moderator" <?= @$_GET['role'] == 'moderator' ? 'selected' : '' ?>>Moderator</option>
                <option value="superadmin" <?= @$_GET['role'] == 'superadmin' ? 'selected' : '' ?>>Superadmin</option>
              </select>
            </div>
            <div class="col-md-2">
              <select name="status" class="form-select">
                <option value="">Semua Status</option>
                <option value="1" <?= @$_GET['status'] === '1' ? 'selected' : '' ?>>Aktif</option>
                <option value="0" <?= @$_GET['status'] === '0' ? 'selected' : '' ?>>Nonaktif</option>
              </select>
            </div>
            <div class="col-md-4">
              <button type="submit" class="btn btn-primary">🔍 Filter</button>
              <a href="kelola_admin.php" class="btn btn-secondary">🔄 Reset</a>
              <a href="export_admin.php" class="btn btn-success">⬇ Export</a>
            </div>
          </form>

          <!-- Table -->
          <table class="table table-bordered table-striped">
            <thead class="table-dark">
              <tr>
                <th>ID</th>
                <th>Username</th>
                <th>Nama</th>
                <th>Role</th>
                <th>Status</th>
                <th>Last Login</th>
                <th>Aksi</th>
              </tr>
            </thead>
            <tbody>
              <?php while ($row = mysqli_fetch_assoc($result)): ?>
              <tr>
                <td><?= $row['id_admin'] ?></td>
                <td><?= htmlspecialchars($row['username']) ?></td>
                <td><?= htmlspecialchars($row['nama_lengkap']) ?></td>
                <td><?= $row['role'] ?></td>
                <td><?= $row['status'] == 1 ? 'Aktif' : 'Nonaktif' ?></td>
                <td><?= $row['last_login'] ?></td>
                <td>
                  <a href="edit_admin.php?id=<?= $row['id_admin'] ?>" class="btn btn-warning btn-sm">Edit</a>
                  <a href="hapus_admin.php?id=<?= $row['id_admin'] ?>" class="btn btn-danger btn-sm">Hapus</a>
                  <button class="btn btn-secondary btn-sm ganti-password-btn" data-id="<?= $row['id_admin'] ?>" data-username="<?= $row['username'] ?>">Password</button>
                </td>

              </tr>
              <?php endwhile; ?>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>

  <script src="adminlte/plugins/jquery/jquery.min.js"></script>
  <script src="adminlte/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script src="adminlte/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js"></script>
  <script src="adminlte/dist/js/adminlte.min.js"></script>
</body>

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
$(document).ready(function () {
  $('.ganti-password-btn').on('click', function () {
    const id = $(this).data('id');
    const username = $(this).data('username');

    Swal.fire({
      title: 'Ganti Password',
      html: `Masukkan password baru untuk <b>${username}</b>:`,
      input: 'password',
      inputLabel: 'Password Baru',
      inputAttributes: {
        autocapitalize: 'off',
        required: true
      },
      showCancelButton: true,
      confirmButtonText: 'Simpan',
      showLoaderOnConfirm: true,
      preConfirm: (password) => {
        if (!password) {
          Swal.showValidationMessage('Password tidak boleh kosong');
          return;
        }
        return fetch('proses_ganti_password_admin.php', {
          method: 'POST',
          headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
          },
          body: `id_admin=${id}&password=${encodeURIComponent(password)}`
        })
        .then(response => response.json())
        .then(data => {
          if (!data.success) {
            throw new Error(data.message || 'Gagal mengganti password');
          }
          return data;
        })
        .catch(error => {
          Swal.showValidationMessage(error.message);
        });
      },
      allowOutsideClick: () => !Swal.isLoading()
    }).then((result) => {
      if (result.isConfirmed) {
        Swal.fire({
          icon: 'success',
          title: 'Berhasil!',
          text: 'Password telah diperbarui.'
        });
      }
    });
  });
});
</script>

</html>
